petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSPseudoSetMaxTimeStep

Sets the maximum time step when using the TSPseudoTimeStepDefault() routine.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPseudoSetMaxTimeStep(TS ts,PetscReal maxdt)

Logically Collective on TS

### Input Parameters

| ts | - the timestep context
| maxdt | - the maximum time step, use a non-positive value to deactivate

### Options Database Key

-ts_pseudo_max_dt <increment> -

### Keywords

timestep, pseudo, set

### See Also

TSPseudoSetTimeStep(), TSPseudoTimeStepDefault()

### Level

advanced

### Location

src/ts/impls/pseudo/posindep.c

### Implementations

TSPseudoSetMaxTimeStep_Pseudo in src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages